Subject: Re: running shell scripts
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 15 Feb 2000 12:06:35 -0800

Jens,

Check the scripts' first line, the #! one.  Be sure that it reference
bash and that the path used is also correct.  
As in:  #!/bin/bash

Be sure you have a /bin/bash.exe for the above to work.

If these are correct, try running one of the scripts using the
following:

   bash -x script_name 2>&1 | tee script_dbg.txt

Depending on where the failure happens, you will see various amounts of
output on the screen.  It should stop at the point where the problem
exists, hopefully providing a clue about what it is looking for.

Bob

Jens Skakkebaek wrote:
> 
> Hi,
> 
> I'm trying to run the Postgres database from cygwin and have got the main
> database to work.
> However, there a number of shell scripts that I cant run.  E.g., I get a "no
> such file or directory" error when I tried to run some of the scripts. It
> prints out the path correctly, so that's not the problem.
> 
> Prefixing it with the full path does not help.
> 
> Any pointers would be greatly appreciated.
> 
> Thanks in advance,
> 
> Jens Skakkebaek
> [email-masked]
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]